<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class LikesTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('likes')
            ->translateLabel()
            ->sortable()
            ->badge()
            ->color('warning')
            ->toggleable();
    }
}
